From f638b71d7381d1ba81fa42c996ed529a6527f1c5 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Wed, 31 Dec 2008 14:42:43 +0530
Subject: [PATCH] ruby: Incase of gnueabi, pick the correct directory.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 ruby.spec |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/ruby.spec b/ruby.spec
index 2206c3b..de1c233 100644
--- a/ruby.spec
+++ b/ruby.spec
@@ -12,7 +12,7 @@
 
 Name:		ruby
 Version:	%{rubyver}%{?dotpatchlevel}
-Release:	2%{?dist}
+Release:	2%{?dist}.fa1
 License:	Ruby or GPLv2
 URL:		http://www.ruby-lang.org/
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -378,8 +378,12 @@ rm -rf tmp-ruby-docs
 %dir %{_prefix}/lib/ruby
 %dir %{_prefix}/lib/ruby/%{rubyxver}
 %ifnarch ppc64 s390x sparc64 x86_64
+%if "%{_gnu}" == "-gnueabi"
+%dir %{_prefix}/lib/ruby/%{rubyxver}/%{_normalized_cpu}-%{_target_os}-eabi
+%else
 %dir %{_prefix}/lib/ruby/%{rubyxver}/%{_normalized_cpu}-%{_target_os}
 %endif
+%endif
 %ifarch ppc64 s390x sparc64 x86_64
 %dir %{_libdir}/ruby
 %dir %{_libdir}/ruby/%{rubyxver}
-- 
1.5.3.3

